Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_MEM_SAP_Node Class Reference

`#include <MEM_SAP.h>`

Collaboration diagram for ACE_MEM_SAP_Node:

[legend]
List of all members.

## Public Types
typedef ACE_Based_Pointer< ACE_MEM_SAP_Node > | ACE_MEM_SAP_NODE_PTR
## Public Member Functions
| ACE_MEM_SAP_Node (size_t cap)
| Initialize the node with its capacity.
size_t | size (void) const
| Get the size of the data we hold.
size_t | capacity (void) const
| Get the capacity of this block of data.
void * | data (void)
| Get the pointer to the block of data we hold.
## Public Attributes
size_t | capacity_
| The maximum size of this memory block.
size_t | size_
| The actualy size used.
ACE_MEM_SAP_NODE_PTR | next_

## Member Typedef Documentation

typedef ACE_Based_Pointer<ACE_MEM_SAP_Node> ACE_MEM_SAP_Node::ACE_MEM_SAP_NODE_PTR

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_MEM_SAP_Node::ACE_MEM_SAP_Node | ( | size_t | cap | ) |

| Initialize the node with its capacity.

## Member Function Documentation

ACE_INLINE size_t ACE_MEM_SAP_Node::capacity | ( | void |  | ) | const

| Get the capacity of this block of data.

ACE_INLINE void * ACE_MEM_SAP_Node::data | ( | void |  | ) |

| Get the pointer to the block of data we hold.

ACE_INLINE size_t ACE_MEM_SAP_Node::size | ( | void |  | ) | const

| Get the size of the data we hold.

## Member Data Documentation

size_t ACE_MEM_SAP_Node::capacity_

| The maximum size of this memory block.

ACE_MEM_SAP_NODE_PTR ACE_MEM_SAP_Node::next_

size_t ACE_MEM_SAP_Node::size_

| The actualy size used.

The documentation for this class was generated from the following files:

- MEM_SAP.h
- MEM_SAP.inl